﻿@model IEnumerable<ASP.NET_MVC5_WebShopExample.Models.Category>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.CategoryId)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ParentCategory)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.CreatedByUser)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
<tr>
    <td>
        @Html.DisplayFor(modelItem => item.CategoryId)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Name)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.ParentCategoryId)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.CreatedByUser.Email)
    </td>
    <td>
        @Html.ActionLink("Edit", "Edit", new { id = item.CategoryId }) |
        @Html.ActionLink("Details", "Details", new { id = item.CategoryId }) |
        @Html.ActionLink("Delete", "Delete", new { id = item.CategoryId })
    </td>
</tr>
}

</table>
